> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Labels

> List all labels created in the session

## Description

This endpoint returns all labels created in the WhatsApp session, allowing you to view all available categories for organizing conversations.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique session ID
</ParamField>

## Response

<ResponseField name="labels" type="array">
  List of all created labels
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "labels": [
      {
        "id": "label123",
        "name": "VIP Clients",
        "color": 1
      },
      {
        "id": "label456",
        "name": "Support",
        "color": 2
      }
    ]
  }
  ```
</ResponseExample>

## Status Codes

* `200` - List returned successfully
* `400` - Invalid parameters
* `401` - Unauthorized

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.wappfy.com.br/api/my-session/labels
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/labels`);
  const data = await response.json();
  console.log(data.labels);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  response = requests.get(f'https://api.wappfy.com.br/api/{session}/labels')
  data = response.json()
  print(data['labels'])
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json get /api/{session}/labels
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/labels:
    get:
      tags:
        - 🏷️ Labels
      summary: Get all labels
      description: The {session} parameter must be the session's instanceName.
      operationId: LabelsController_getAll
      parameters:
        - name: session
          required: true
          in: path
          description: Session name (instanceName)
          example: my-session
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Label'
      security:
        - api_key: []
components:
  schemas:
    Label:
      type: object
      properties:
        id:
          type: string
          example: '1'
          description: Label ID
        name:
          type: string
          example: Lead
          description: Label name
        color:
          type: number
          example: 0
          description: Color number, not hex
        colorHex:
          type: string
          example: '#ff9485'
          description: Color in hex
      required:
        - id
        - name
        - color
        - colorHex
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````